org.eclipse.ui.intro.config

## Interface IIntroAction

All Known Implementing Classes:
  AlwaysWelcomeCheckbox

    public interface IIntroAction

An Intro action. Classes that implement this interface can be used as valid value for the "class" parameter for the following intro url:

http://org.eclipse.ui.intro/runAction?pluginId=x.y.z&class=x.y.z.someClass

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `run(IIntroSite site, Properties params)` Called to run this intro command.

### Method Detail

#### run

    void run(IIntroSite site,
             Properties params)

Called to run this intro command. The properties represents the key=value pairs extracted from the intro URL query.

Parameters:
  `site` -
  `params` -